Package csb :: Package bio :: Package sequence :: Class SequenceTypes

[frames] | no frames]

# Class SequenceTypes

source code

       object --+
                |
    core.EnumBase --+
                    |
            core.enum --+
                        |
                       SequenceTypes

Enumeration of sequence types

Instance Methods
Inherited from `core.enum`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| DNA = `DNA`
| NucleicAcid = `NucleicAcid`
| Protein = `Protein`
| RNA = `RNA`
| Unknown = `Unknown`

Properties
Inherited from `object`: `__class__`